onEvent('recipes', event => {
/*
1- cyanite reprocessor
2- Ludcrite
3- reactor controller
*/
//REMOCAO DAS RECEITAS PADRAO

event.remove({output:'biggerreactors:ludcrite_block'})//bloco de ludicrite

event.remove({output:'biggerreactors:cyanite_reprocessor'})//cyanite reprocessor

event.remove({output:'biggerreactors:reactor_terminal'})//reactor controller

event.remove({output:'biggerreactors:turbine_terminal'})//turbine controller

event.remove({output:'biggerreactors:heat_exchanger_terminal'})//heat exchanger controller

//ADCIONA AS NOVAS RECEITAS PARA OS ITENS REMOVIDOS

    //bloco de ludicrite
event.shaped(
    Item.of('biggerreactors:ludicrite_ingot', 1),
    [
      'ADA',
      'BDB',
      'ADA'
    ],
    {
      A: 'biggerreactors:blutonium_ingot',
      B: 'thermal:enderium_block',
      C: 'minecraft:nether_star',
      D: 'appliedenergistics2:purified_fluix_crystal'
    }
  )



    //cyanite reprocessor

event.shaped(
    Item.of('biggerreactors:cyanite_reprocessor', 1),
    [
      'ABA',
      'CEC',
      'ADA'
    ],
    {
      A: 'biggerreactors:reactor_casing',
      B: 'minecraft:iron_ingot',
      C: 'minecraft:piston',
      D: 'minecraft:redstone',
      E: 'kubejs:vegapunk_chip'
    }
  )


    //reactor controller
event.shaped(
    Item.of('biggerreactors:reactor_terminal', 1),
    [
      'ACA',
      'DED',
      'ABA'
    ],
    {
      A: 'biggerreactors:reactor_casing',
      B: 'minecraft:redstone',
      C: 'minecraft:diamond',
      D: 'alltheores:uranium_ingot',
      E: 'mekanism:advanced_control_circuit'
    }
  )



    //turbine controller
event.shaped(
    Item.of('biggerreactors:turbine_terminal', 1),
    [
      'A A',
      'BCB',
      'A A'
    ],
    {
      A: 'biggerreactors:turbine_casing',
      B: 'biggerreactors:blutonium_ingot',
      C: 'mekanism:elite_control_circuit'
    }
  )



    //heat exchanger controller
event.shaped(
    Item.of('biggerreactors:heat_exchanger_terminal', 1),
    [
      'ADA',
      'BCB',
      'ADA'
    ],
    {
      A: 'biggerreactors:heat_exchanger_casing',
      B: 'biggerreactors:ludicrite_ingot',
      C: 'mekanism:ultimate_control_circuit',
      D: 'minecraft:diamond'
    }
  )




})